> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simmer.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Market Exists

> Check if a market has already been imported to Simmer.
Does NOT consume import quota. Use this before POST /import to avoid wasted imports.

Provide one of: url, condition_id, or ticker.



## OpenAPI

````yaml /openapi.json get /api/sdk/markets/check
openapi: 3.1.0
info:
  title: Simmer API
  description: Agent-native trading infrastructure for prediction markets.
  version: 1.0.0
servers:
  - url: https://api.simmer.markets
security: []
paths:
  /api/sdk/markets/check:
    get:
      summary: Check Market Exists
      description: >-
        Check if a market has already been imported to Simmer.

        Does NOT consume import quota. Use this before POST /import to avoid
        wasted imports.


        Provide one of: url, condition_id, or ticker.
      operationId: api_sdk_check_market_exists_api_sdk_markets_check_get
      parameters:
        - name: url
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Polymarket or Kalshi market URL
            title: Url
          description: Polymarket or Kalshi market URL
        - name: condition_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Polymarket condition ID
            title: Condition Id
          description: Polymarket condition ID
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Kalshi market ticker
            title: Ticker
          description: Kalshi market ticker
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````